API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic APIManagement APIUsers APIOperations API
Messaging APIReporting APIML APIData API
IndexPublic APIManagement APIUsers APIOperations API
Messaging APIReporting APIML APIData API
  1. Articles Categories
  • Introduction
  • Manager API
    • Introduction
    • Settings
      • Introduction
      • Show Operations Settings
      • Update Settings
    • ABM Links
      • List ABM Links
      • Show Unassigned ABM Links Count
      • Import ABM Links
    • Members
      • Show Contact
      • Delete Contact
      • Update Contact
    • Issues
      • Introduction
      • Reopen Issue
      • List Issue Types
      • List Issues
      • Show Issue
      • Accept Issue
      • Resolve Issue
    • Articles
      • Introduction
      • List Articles
      • Show Article
      • Create Article
      • Update Article
      • Destroy Article
    • Articles Categories
      • Introduction
      • List Categories
        GET
      • Show Category
        GET
      • Create Category
        POST
      • Update Category
        PUT
      • Destroy Category
        DELETE
      • List Categories with Articles
        GET
    • Documents
      • Introduction
      • List Documents
      • Show Document
      • List Document Recipients
      • Create Document
      • Update Document
      • Add Recipients to the Document
      • Destroy Document
    • Resource Types
      • Introduction
      • Show Resource Type Schema
      • Update Resource Type Schema
    • Resources
      • Introduction
      • Delete Resource
      • List Resources
      • Show Resource
      • Accept Resource
      • Reject Resource
      • Create a Resource Reminder
    • Revenue Reporting
      • Introduction
      • List Store Tax Categories
      • Bulk Update Store Tax Categories
      • List Aggregated Reports
      • List Aggregated Reports As Csv
      • Show Policy
      • Update Policy
      • List Tax Categories
      • Bulk Update Tax Categories
      • Download revenue reports import template
    • Alerts
      • Introduction
      • Recall Alert
      • Deactivate Alert
      • List Alerts
      • Show Alert
      • List Alert Recipients
      • Create Alert
      • Accept Alert
      • Reject Alert
    • Alert Templates
      • Introduction
      • List Alert Templates
      • Show Alert Template
      • Create Alert Template
      • Update Alert Template
      • Destroy Alert Template
    • Footfall Reporting
      • List Footfall Reports
      • Bulk Update Reports
  • Tenant API
    • Introduction
    • Documents
      • Introduction
      • List Documents
      • Show Document
      • Confirm Document
    • Resource Types
      • Show Resource Type Schema
    • Resources
      • Introduction
      • List Resources
      • List Deleted Resources
      • Show Resource
      • Create Resource
      • Update Resource
      • Destroy Resource
      • Resubmit Resource
      • Restore Resource
    • Alerts
      • Introduction
      • List Alert Types
      • List Alerts
      • Show Alert
      • Create Alert
      • Report to Alert
    • Alert Templates
      • List Alert Templates
    • Push App Tokens
      • Introduction
      • Add App Tokens
    • Revenue Reporting
      • List Reporting Periods
      • List Reporting Period Reports
      • Bulk Update Reports
      • List Tax Categories
      • List Store Tax Categories
      • Bulk Update
    • ABM Links
      • Assign ABM Link
      • Send ABM Link
    • Issues
      • Introduction
      • List Issues
      • Show Issue
      • Create Issue
      • Update Issues
      • Destroy Issue
    • Articles
      • Introduction
      • List Articles
      • Show Article
      • List Categories with Articles
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic APIManagement APIUsers APIOperations API
Messaging APIReporting APIML APIData API
IndexPublic APIManagement APIUsers APIOperations API
Messaging APIReporting APIML APIData API
  1. Articles Categories

List Categories with Articles

Pending
GET
https://api.mpc.dev.placewise.com/v1/operations/article_categories/articles
API Permit:Operations:Api:ArticleCategories:Articles:Index
API Context:Loyalty Club
Authorizations:UserToken
Returns list of Categories and
unassigned Articles

Query Parameters#

ParameterTypeDefaultDescription
per_pageinteger100Number of results to be returned per request (100 is the maximum)
page_nointeger1Number of results page
statusenum ['draft', 'published']nullWhen present, returns only Articles having given status
searchstringnullWhen true, returns only Articles with titles that match the given string
currently_publishedboolnullWhen present, returns only published articles (visible for tenants)
pinnedboolnullWhen present, returns only pinned articles
sort_bystringcreated_atProperty on which list is sorted (created_at, published_at, title, position, positioned)
sort_directionstringascSort direction (asc, desc)

Example#

When successful, returns object containing categories and unnassigned categories
{
  "categories": [], // List of categories - see 'Category with articles model'
  "unassigned_articles": [] // List of articles - see 'Article model'
}

Request

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.mpc.dev.placewise.com/v1/operations/article_categories/articles' \
--header 'X-User-Agent: ApiDog' \
--header 'X-Product-Name: default' \
--header 'X-Loyalty-Club-Slug: infinity-mall' \
--header 'X-Customer: 447' \
--header 'Authorization: Bearer ' \
--header 'X-Client-Authorization: ' \
--header 'Content-Type: application/json'
Response Response Example
{}
Previous
Destroy Category
Next
Introduction
Built with